# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2018-11-29 14:29
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('projects', '0001_initial'),
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='student',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project'),
        ),
        migrations.AddField(
            model_name='student',
            name='user',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='session',
            name='rubric',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Rubric'),
        ),
        migrations.AddField(
            model_name='rubric',
            name='author',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='projecthitoevaluation',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project'),
        ),
        migrations.AddField(
            model_name='projecthitoevaluation',
            name='session',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Session'),
        ),
        migrations.AddField(
            model_name='projectevaluation',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='projects.Project'),
        ),
        migrations.AddField(
            model_name='projectevaluation',
            name='session',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Session'),
        ),
        migrations.AddField(
            model_name='progressevaluation',
            name='evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Evaluation'),
        ),
        migrations.AddField(
            model_name='progressevaluation',
            name='project_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.ProjectEvaluation'),
        ),
        migrations.AddField(
            model_name='presentationevaluation',
            name='presentation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.SubTopic'),
        ),
        migrations.AddField(
            model_name='presentationevaluation',
            name='project_hito_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.ProjectHitoEvaluation'),
        ),
        migrations.AddField(
            model_name='objetiveevaluation',
            name='evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Evaluation'),
        ),
        migrations.AddField(
            model_name='objetiveevaluation',
            name='project_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.ProjectEvaluation'),
        ),
        migrations.AddField(
            model_name='memoryevaluation',
            name='memory',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Memory'),
        ),
        migrations.AddField(
            model_name='memoryevaluation',
            name='project_hito_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.ProjectHitoEvaluation'),
        ),
        migrations.AddField(
            model_name='memory',
            name='hito',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Hito'),
        ),
        migrations.AddField(
            model_name='hito',
            name='session',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='hito', to='core.Session'),
        ),
        migrations.AddField(
            model_name='evaluation',
            name='week',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Week'),
        ),
        migrations.AddField(
            model_name='activityevaluation',
            name='evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Evaluation'),
        ),
        migrations.AddField(
            model_name='activityevaluation',
            name='project_evaluation',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.ProjectEvaluation'),
        ),
    ]
